# $Revision: 1.33 $, $Date: 2012/01/26 20:28:50 $
#
# Conditional build:
%bcond_with	tests	# do perform "make test"

%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Application
Summary:	CGI::Application - framework for building reusable web-applications
Summary(pl.UTF-8):	CGI::Application - szkielet do tworzenia aplikacji WWW wielokrotnego użytku
Name:		perl-CGI-Application
Version:	4.50
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	356595b6f12373f57243a7e605b9cd43
URL:		http://search.cpan.org/dist/CGI-Application/
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-CGI
BuildRequires:	perl-Class-ISA
BuildRequires:	perl-HTML-Template
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	rpm-build >= 4.3-0.20030515.6
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
CGI::Application is intended to make it easier to create
sophisticated, reusable web-based applications. This module implements
a methodology which, if followed, will make your web software easier
to design, easier to document, easier to write, and easier to evolve.

%description -l pl.UTF-8
CGI::Application jest przeznaczony do ułatwiania tworzenia złożonych,
dających się ponownie wykorzystywać, aplikacji opartych na WWW. Ten
moduł implementuje metodologię, która - jeśli stosowana - sprawi, że
oprogramowanie sieciowe będzie prostsze w projektowaniu,
dokumentowaniu, pisaniu i ewoluowaniu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL Makefile.PL \
	installdirs=vendor \
	destdir=$RPM_BUILD_ROOT
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/CGI/%{pnam}/Plugin
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/CGI/*.pm
%{perl_vendorlib}/CGI/%{pnam}
%{perl_vendorlib}/CGI/%{pnam}/Plugin
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Application.spec,v $
Revision 1.33  2012/01/26 20:28:50  zbyniu
- perl_vendorlib/CGI/Application/Plugin dir added; rel 2

Revision 1.32  2011/07/11 20:30:57  marti
- up to 4.50

Revision 1.31  2009/09/06 17:19:32  amateja
- updated to 4.31

Revision 1.30  2009/01/13 09:36:04  agaran
- up to 4.21, rel 1, builds here

Revision 1.29  2008/07/27 22:27:56  arekm
- release 2

Revision 1.28  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.26  2006/07/25 21:08:44  qboosh
- updated md5

Revision 1.25  2006/07/25 20:56:31  glen
- 4.06, generic URL

Revision 1.24  2005/07/27 22:01:59  radek
- version 4.01

Revision 1.23  2004/11/03 22:30:08  paladine
- formatting

Revision 1.22  2004/11/01 21:21:48  adamg
- updated to 3.31

Revision 1.21  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.20  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/20 09:46:26  ankry
- bcond fixes/porting

Revision 1.18  2004/04/17 18:00:49  ankry
- license/summary/description fixes

Revision 1.17  2004/04/14 11:42:37  ankry
- caps and other cosmetics

Revision 1.16  2004/02/15 19:32:50  adamg
- updated to 3.22

Revision 1.15  2004/02/05 22:27:53  migo
- up to 3.21
- switch to Module::Build
- cosmetics

Revision 1.14  2003/09/29 13:10:12  migo
- build without tests by default
- new bcond system
- release 2

Revision 1.13  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.12  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/06/03 20:29:27  adamg
- updated to 3.1

Revision 1.10  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.5  2003/02/18 22:45:31  ankry
- autoupdated to 3.0

Revision 1.4  2003/02/18 15:26:56  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/10/28 15:39:27  ankry
- version 2.6

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/04 11:19:33  radek
- new, STBR
